summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVadim A. Misbakh-Soloviov <git@mva.name>2016-12-08 12:02:25 +0700
committerVadim A. Misbakh-Soloviov <git@mva.name>2016-12-08 12:02:25 +0700
commitcd4f5093c7274a68988e7717c0a341f78795a6a8 (patch)
treee4adafc1852d8ce8817ddefad91432c925223b3f
parentqjoypad: drop unneded lines (diff)
downloadgamerlay-cd4f5093c7274a68988e7717c0a341f78795a6a8.tar.gz
gamerlay-cd4f5093c7274a68988e7717c0a341f78795a6a8.tar.bz2
gamerlay-cd4f5093c7274a68988e7717c0a341f78795a6a8.zip
supermeatboy: bump
-rw-r--r--dev-db/mariadb-connector-c/Manifest1
-rw-r--r--dev-db/mariadb-connector-c/files/fix-libdir.patch58
-rw-r--r--dev-db/mariadb-connector-c/files/fix-mariadb_config-2.1.0.patch13
-rw-r--r--dev-db/mariadb-connector-c/files/fix-mariadb_config.patch25
-rw-r--r--dev-db/mariadb-connector-c/files/gentoo-layout-2.2.2.patch24
-rw-r--r--dev-db/mariadb-connector-c/files/gentoo-layout.patch60
-rw-r--r--dev-db/mariadb-connector-c/files/multilib-install.patch16
-rw-r--r--dev-db/mariadb-connector-c/mariadb-connector-c-2.3.1.ebuild74
-rw-r--r--dev-db/mariadb-connector-c/mariadb-connector-c-9999.ebuild81
-rw-r--r--dev-db/mariadb-connector-c/metadata.xml11
-rw-r--r--games-arcade/supermeatboy/Manifest22
-rw-r--r--games-arcade/supermeatboy/supermeatboy-2013.11.11.ebuild (renamed from games-arcade/supermeatboy/supermeatboy-2012.06.07.ebuild)50
12 files changed, 395 insertions, 40 deletions
diff --git a/dev-db/mariadb-connector-c/Manifest b/dev-db/mariadb-connector-c/Manifest
new file mode 100644
index 0000000..ba14626
--- /dev/null
+++ b/dev-db/mariadb-connector-c/Manifest
@@ -0,0 +1 @@
+DIST mariadb-connector-c-2.3.1-src.tar.gz 536755 SHA256 6ab7e1477ae1484939675a3b499f98148980a0bd340d15d22df00a5c6656c633 SHA512 ecf2e1bafd8208f0fa43ac6b96da5accbb0385b3851154f420143ef9d24ba430b0ae2210ba0bede31fd85eb576b8ca5ff5cf4e5461f7d919715cb613d47c1953 WHIRLPOOL 61a7ead0cce3ba8a3a32612535f205c4e8a6a5c7e0aa6758ccd8a22eaf129a1412768ae055b49165de039188667aecb5a89da0b2e3b9dfa0759e37f45fa0e7f8
diff --git a/dev-db/mariadb-connector-c/files/fix-libdir.patch b/dev-db/mariadb-connector-c/files/fix-libdir.patch
new file mode 100644
index 0000000..c7ade92
--- /dev/null
+++ b/dev-db/mariadb-connector-c/files/fix-libdir.patch
@@ -0,0 +1,58 @@
+diff -aurN mariadb_client-2.0.0-src/CMakeLists.txt mariadb_client-2.0.0-src.new/CMakeLists.txt
+--- mariadb_client-2.0.0-src/CMakeLists.txt 2014-04-01 11:14:40.000000000 -0400
++++ mariadb_client-2.0.0-src.new/CMakeLists.txt 2014-04-03 16:12:55.163032445 -0400
+@@ -27,8 +27,19 @@
+
+ OPTION(WITH_SQLITE "Enables Sqlite support" OFF)
+ OPTION(WITH_EXTERNAL_ZLIB "Enables use of external zlib" OFF)
++OPTION(INSTALL_LIBDIR "Library install location" OFF)
+ ###############
+
++IF(NOT INSTALL_LIBDIR)
++ # Some distros can set this in a global cmake config
++ IF(CMAKE_INSTALL_LIBDIR)
++ SET(INSTALL_LIBDIR "${CMAKE_INSTALL_LIBDIR}")
++ ELSE()
++ # Provide a sane default
++ SET(INSTALL_LIBDIR "lib/mariadb")
++ ENDIF()
++ENDIF()
++
+ IF(WITH_RTC)
+ SET(RTC_OPTIONS "/RTC1 /RTCc")
+ ENDIF()
+diff -aurN mariadb_client-2.0.0-src/libmariadb/CMakeLists.txt mariadb_client-2.0.0-src.new/libmariadb/CMakeLists.txt
+--- mariadb_client-2.0.0-src/libmariadb/CMakeLists.txt 2014-03-18 11:01:05.000000000 -0400
++++ mariadb_client-2.0.0-src.new/libmariadb/CMakeLists.txt 2014-04-03 16:15:49.417626907 -0400
+@@ -210,15 +210,15 @@
+
+ INSTALL(TARGETS
+ libmariadb mariadbclient
+- RUNTIME DESTINATION "lib/mariadb"
+- LIBRARY DESTINATION "lib/mariadb"
+- ARCHIVE DESTINATION "lib/mariadb")
++ RUNTIME DESTINATION "${INSTALL_LIBDIR}"
++ LIBRARY DESTINATION "${INSTALL_LIBDIR}"
++ ARCHIVE DESTINATION "${INSTALL_LIBDIR}")
+ IF(NOT WIN32 AND WITH_MYSQLCOMPAT)
+ INSTALL(FILES "${CMAKE_BINARY_DIR}/libmariadb/libmysql${CMAKE_SHARED_LIBRARY_SUFFIX}"
+ "${CMAKE_BINARY_DIR}/libmariadb/libmysqlclient${CMAKE_SHARED_LIBRARY_SUFFIX}"
+ "${CMAKE_BINARY_DIR}/libmariadb/libmysqlclient_r${CMAKE_SHARED_LIBRARY_SUFFIX}"
+ "${CMAKE_BINARY_DIR}/libmariadb/libmysqlclient${CMAKE_STATIC_LIBRARY_SUFFIX}"
+- DESTINATION lib/mariadb)
++ DESTINATION ${INSTALL_LIBDIR})
+ ENDIF()
+
+ INSTALL(DIRECTORY ${CMAKE_SOURCE_DIR}/include/
+diff -aurN mariadb_client-2.0.0-src/mariadb_config/mariadb_config.c.in mariadb_client-2.0.0-src.new/mariadb_config/mariadb_config.c.in
+--- mariadb_client-2.0.0-src/mariadb_config/mariadb_config.c.in 2014-03-18 11:01:05.000000000 -0400
++++ mariadb_client-2.0.0-src.new/mariadb_config/mariadb_config.c.in 2014-04-03 16:16:52.455669572 -0400
+@@ -4,7 +4,7 @@
+ #include <stdio.h>
+
+ #define INCLUDE "-I@CMAKE_INSTALL_PREFIX@/include/mariadb"
+-#define LIBS "-L@CMAKE_INSTALL_PREFIX@/lib/mariadb -lmariadb" \
++#define LIBS "-L@CMAKE_INSTALL_PREFIX@/@INSTALL_LIBDIR@ -lmariadb" \
+ "@extra_dynamic_LDFLAGS@"
+ #define CFLAGS INCLUDE "@CMAKE_C_FLAGS@"
+ #define VERSION "@MYSQL_CLIENT_VERSION@"
diff --git a/dev-db/mariadb-connector-c/files/fix-mariadb_config-2.1.0.patch b/dev-db/mariadb-connector-c/files/fix-mariadb_config-2.1.0.patch
new file mode 100644
index 0000000..8a54d02
--- /dev/null
+++ b/dev-db/mariadb-connector-c/files/fix-mariadb_config-2.1.0.patch
@@ -0,0 +1,13 @@
+diff -aruN a/mariadb_config/mariadb_config.c.in b/mariadb_config/mariadb_config.c.in
+--- a/mariadb_config/mariadb_config.c.in 2015-01-29 13:21:48.000000000 -0500
++++ b/mariadb_config/mariadb_config.c.in 2015-01-30 13:03:01.312548413 -0500
+
+@@ -6,7 +6,7 @@
+ #define INCLUDE "-I@PREFIX_INSTALL_DIR@/@INCLUDE_INSTALL_DIR@/@SUFFIX_INSTALL_DIR@ -I@PREFIX_INSTALL_DIR@/@INCLUDE_INSTALL_DIR@/@SUFFIX_INSTALL_DIR@/mysql"
+ #define LIBS "-L@PREFIX_INSTALL_DIR@/@LIB_INSTALL_DIR@/@SUFFIX_INSTALL_DIR@ -lmariadb" \
+ "@extra_dynamic_LDFLAGS@"
+-#define CFLAGS INCLUDE " @CMAKE_C_FLAGS@"
++#define CFLAGS INCLUDE
+ #define VERSION "@MYSQL_CLIENT_VERSION@"
+ #define PLUGIN_DIR "@PREFIX_INSTALL_DIR@/@SUFFIX_INSTALL_DIR@/@PLUGIN_INSTALL_DIR@"
+ #define SOCKET "@MYSQL_UNIX_ADDR@"
diff --git a/dev-db/mariadb-connector-c/files/fix-mariadb_config.patch b/dev-db/mariadb-connector-c/files/fix-mariadb_config.patch
new file mode 100644
index 0000000..444c877
--- /dev/null
+++ b/dev-db/mariadb-connector-c/files/fix-mariadb_config.patch
@@ -0,0 +1,25 @@
+diff -aurN a/mariadb_config/CMakeLists.txt b/mariadb_config/CMakeLists.txt
+--- a/mariadb_config/CMakeLists.txt 2014-04-29 12:44:35.309693578 -0400
++++ b/mariadb_config/CMakeLists.txt 2014-04-29 12:43:25.511924411 -0400
+@@ -19,7 +19,8 @@
+ SEARCH_LIBRARY(LIBDL dlopen "dl")
+ SEARCH_LIBRARY(LIBM floor m)
+ FOREACH(lib ${EXTRA_LIBS})
+- SET(extra_dynamic_LDFLAGS "${extra_dynamic_LDFLAGS} -l${lib}")
++ STRING(REPLACE "-l" "" clean_lib ${lib})
++ SET(extra_dynamic_LDFLAGS "${extra_dynamic_LDFLAGS} -l${clean_lib}")
+ ENDFOREACH()
+ IF(WITH_SQLITE)
+ SET(extra_dynamic_LDFLAGS "${extra_dynamic_LDFLAGS} -lsqlite")
+diff -aurN a/mariadb_config/mariadb_config.c.in b/mariadb_config/mariadb_config.c.in
+--- a/mariadb_config/mariadb_config.c.in 2014-04-29 12:44:22.320108741 -0400
++++ b/mariadb_config/mariadb_config.c.in 2014-04-29 12:41:54.934819014 -0400
+@@ -6,7 +6,7 @@
+ #define INCLUDE "-I@CMAKE_INSTALL_PREFIX@/include/mariadb"
+ #define LIBS "-L@CMAKE_INSTALL_PREFIX@/@INSTALL_LIBDIR@ -lmariadb" \
+ "@extra_dynamic_LDFLAGS@"
+-#define CFLAGS INCLUDE "@CMAKE_C_FLAGS@"
++#define CFLAGS INCLUDE " @CMAKE_C_FLAGS@"
+ #define VERSION "@MYSQL_CLIENT_VERSION@"
+ #define SOCKET "@MYSQL_UNIX_ADDR@"
+ #define PORT "@MYSQL_PORT@"
diff --git a/dev-db/mariadb-connector-c/files/gentoo-layout-2.2.2.patch b/dev-db/mariadb-connector-c/files/gentoo-layout-2.2.2.patch
new file mode 100644
index 0000000..dd43133
--- /dev/null
+++ b/dev-db/mariadb-connector-c/files/gentoo-layout-2.2.2.patch
@@ -0,0 +1,24 @@
+diff -aurN a/cmake/install.cmake b/cmake/install.cmake
+--- a/cmake/install.cmake 2015-12-08 02:50:35.000000000 -0500
++++ b/cmake/install.cmake 2016-02-12 21:40:46.599011426 -0500
+@@ -120,12 +120,6 @@
+ SET(PREFIX_INSTALL_DIR_${INSTALL_LAYOUT} ${PREFIX_INSTALL_DIR})
+ ENDIF()
+
+-IF(NOT SUFFIX_INSTALL_DIR)
+- SET(SUFFIX_INSTALL_DIR_${INSTALL_LAYOUT} "mariadb")
+-ELSE()
+- SET(SUFFIX_INSTALL_DIR_${INSTALL_LAYOUT} ${SUFFIX_INSTALL_DIR})
+-ENDIF()
+-
+ FOREACH(dir "BIN" "LIB" "INCLUDE" "DOCS" "PREFIX" "SUFFIX" "PLUGIN")
+ SET(${dir}_INSTALL_DIR ${${dir}_INSTALL_DIR_${INSTALL_LAYOUT}})
+ MARK_AS_ADVANCED(${dir}_INSTALL_DIR)
+--- a/mariadb_config/CMakeLists.txt 2016-02-12 21:21:06.981021227 -0500
++++ b/mariadb_config/CMakeLists.txt 2016-02-12 22:06:02.397130410 -0500
+@@ -33,4 +33,4 @@
+ # Installation
+ #
+ INSTALL(TARGETS mariadb_config
+- DESTINATION "bin")
++ DESTINATION ${BIN_INSTALL_DIR})
diff --git a/dev-db/mariadb-connector-c/files/gentoo-layout.patch b/dev-db/mariadb-connector-c/files/gentoo-layout.patch
new file mode 100644
index 0000000..5663a37
--- /dev/null
+++ b/dev-db/mariadb-connector-c/files/gentoo-layout.patch
@@ -0,0 +1,60 @@
+diff -uarN a/cmake/install.cmake b/cmake/install.cmake
+--- a/cmake/install.cmake 2015-01-29 13:21:48.000000000 -0500
++++ b/cmake/install.cmake 2015-03-18 14:43:14.682768210 -0400
+@@ -39,12 +39,14 @@
+ ENDIF()
+
+ SET(INSTALL_LAYOUT ${INSTALL_LAYOUT} CACHE
+- STRING "Installation layout. Currently supported options are DEFAULT (tar.gz and zip) and RPM")
++ STRING "Installation layout. Currently supported options are DEFAULT (tar.gz and zip), GENTOO, and RPM")
+
+ # On Windows we only provide zip and .msi. Latter one uses a different packager.
+ IF(UNIX)
+ IF(INSTALL_LAYOUT MATCHES "RPM")
+ SET(libmariadb_prefix "/usr")
++ ELSEIF(INSTALL_LAYOUT MATCHES "GENTOO")
++ SET(libmariadb_prefix ${CMAKE_INSTALL_PREFIX})
+ ELSEIF(INSTALL_LAYOUT MATCHES "DEFAULT")
+ SET(libmariadb_prefix ${CMAKE_INSTALL_PREFIX})
+ ENDIF()
+@@ -55,7 +57,7 @@
+ ENDIF()
+
+ # check if the specified installation layout is valid
+-SET(VALID_INSTALL_LAYOUTS "DEFAULT" "RPM")
++SET(VALID_INSTALL_LAYOUTS "DEFAULT" "RPM" "GENTOO")
+ LIST(FIND VALID_INSTALL_LAYOUTS "${INSTALL_LAYOUT}" layout_no)
+ IF(layout_no EQUAL -1)
+ MESSAGE(FATAL_ERROR "Invalid installation layout. Please specify one of the following layouts: ${VALID_INSTALL_LAYOUTS}")
+diff -uarN a/cmake/install.cmake b/cmake/install.cmake
+--- a/cmake/install.cmake 2015-01-29 13:21:48.000000000 -0500
++++ b/cmake/install.cmake 2015-03-18 14:39:35.240617655 -0400
+@@ -79,6 +79,16 @@
+ SET(PLUGIN_INSTALL_DIR_DEFAULT "lib/plugin")
+
+ #
++# Gentoo layout
++#
++SET(SUFFIX_INSTALL_DIR_GENTOO "")
++SET(BIN_INSTALL_DIR_GENTOO "bin")
++SET(LIB_INSTALL_DIR_GENTOO "lib")
++SET(INCLUDE_INSTALL_DIR_GENTOO "include/mariadb")
++SET(DOCS_INSTALL_DIR_GENTOO "share/docs")
++SET(PLUGIN_INSTALL_DIR_GENTOO "lib/mariadb/plugin")
++
++#
+ # RPM layout
+ #
+ SET(SUFFIX_INSTALL_DIR_RPM "mariadb")
+diff -uarN a/cmake/install.cmake b/cmake/install.cmake
+--- a/cmake/install.cmake 2015-01-29 13:21:48.000000000 -0500
++++ b/cmake/install.cmake 2015-03-18 14:31:56.156920869 -0400
+@@ -118,8 +118,5 @@
+ SET(PREFIX_INSTALL_DIR_${INSTALL_LAYOUT} ${libmariadb_prefix})
+ ENDIF()
+
+-IF(NOT SUFFIX_INSTALL_DIR)
+- SET(SUFFIX_INSTALL_DIR_${INSTALL_LAYOUT} "mariadb")
+-ENDIF()
+
+ FOREACH(dir "BIN" "LIB" "INCLUDE" "DOCS" "PREFIX" "SUFFIX" "PLUGIN")
diff --git a/dev-db/mariadb-connector-c/files/multilib-install.patch b/dev-db/mariadb-connector-c/files/multilib-install.patch
new file mode 100644
index 0000000..6dfa270
--- /dev/null
+++ b/dev-db/mariadb-connector-c/files/multilib-install.patch
@@ -0,0 +1,16 @@
+diff -aruN a/CMakeLists.txt b/CMakeLists.txt
+--- a/libmysql/CMakeLists.txt 2013-05-17 14:16:47.621519747 -0400
++++ b/libmysql/CMakeLists.txt 2013-05-17 14:18:04.570428917 -0400
+@@ -166,9 +166,9 @@
+
+ INSTALL(TARGETS
+ libmariadb mariadbclient
+- RUNTIME DESTINATION "lib"
+- LIBRARY DESTINATION "lib"
+- ARCHIVE DESTINATION "lib")
++ RUNTIME DESTINATION "${CMAKE_INSTALL_LIBDIR}"
++ LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
++ ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}")
+
+ INSTALL(DIRECTORY ${CMAKE_SOURCE_DIR}/include
+ DESTINATION mariadbclient)
diff --git a/dev-db/mariadb-connector-c/mariadb-connector-c-2.3.1.ebuild b/dev-db/mariadb-connector-c/mariadb-connector-c-2.3.1.ebuild
new file mode 100644
index 0000000..5c7f0f6
--- /dev/null
+++ b/dev-db/mariadb-connector-c/mariadb-connector-c-2.3.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+VCS_INHERIT=""
+if [[ "${PV}" == 9999 ]] ; then
+ VCS_INHERIT="git-r3"
+ EGIT_REPO_URI="https://github.com/MariaDB/connector-c.git"
+ KEYWORDS=""
+else
+ MY_PN=${PN#mariadb-}
+ SRC_URI="https://downloads.mariadb.org/f/${MY_PN}-${PV}/${P}-src.tar.gz?serve -> ${P}-src.tar.gz"
+ S="${WORKDIR}"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+inherit cmake-utils multilib-minimal ${VCS_INHERIT}
+
+MULTILIB_CHOST_TOOLS=( /usr/sbin/mariadb_config )
+
+MULTILIB_WRAPPED_HEADERS+=(
+ /usr/include/mariadb/my_config.h
+)
+
+DESCRIPTION="C client library for MariaDB/MySQL"
+HOMEPAGE="http://mariadb.org/"
+LICENSE="LGPL-2.1"
+
+SLOT="0/2"
+IUSE="mysqlcompat +ssl static-libs"
+
+DEPEND="sys-libs/zlib:=[${MULTILIB_USEDEP}]
+ virtual/libiconv:=[${MULTILIB_USEDEP}]
+ ssl? ( dev-libs/openssl:0=[${MULTILIB_USEDEP}] )
+ "
+RDEPEND="${DEPEND}
+ mysqlcompat? (
+ !dev-db/mysql
+ !dev-db/mysql-cluster
+ !dev-db/mariadb
+ !dev-db/mariadb-galera
+ !dev-db/percona-server
+ !dev-db/mysql-connector-c )
+ "
+PATCHES=( "${FILESDIR}/fix-mariadb_config-2.1.0.patch"
+ "${FILESDIR}/gentoo-layout-2.2.2.patch" )
+
+S="${WORKDIR}/${P}-src"
+
+multilib_src_configure() {
+ mycmakeargs+=(
+ -DMYSQL_UNIX_ADDR="${EPREFIX}/var/run/mysqld/mysqld.sock"
+ -DWITH_EXTERNAL_ZLIB=ON
+ -DWITH_OPENSSL=$(usex ssl ON OFF)
+ -DWITH_MYSQLCOMPAT=$(usex mysqlcompat ON OFF)
+ -DLIB_INSTALL_DIR=$(get_libdir)
+ -DPLUGIN_INSTALL_DIR=$(get_libdir)/mariadb/plugin
+ -DDOCS_INSTALL_DIR=share/docs
+ -DBIN_INSTALL_DIR=sbin
+ )
+ cmake-utils_src_configure
+}
+
+multilib_src_install_all() {
+ if ! use static-libs ; then
+ find "${D}" -name "*.a" -delete || die
+ fi
+ if use mysqlcompat ; then
+ dosym /usr/sbin/mariadb_config /usr/bin/mysql_config
+ dosym mariadb /usr/include/mysql
+ fi
+}
diff --git a/dev-db/mariadb-connector-c/mariadb-connector-c-9999.ebuild b/dev-db/mariadb-connector-c/mariadb-connector-c-9999.ebuild
new file mode 100644
index 0000000..497147f
--- /dev/null
+++ b/dev-db/mariadb-connector-c/mariadb-connector-c-9999.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+VCS_INHERIT=""
+if [[ "${PV}" == 9999 ]] ; then
+ VCS_INHERIT="git-r3"
+ EGIT_REPO_URI="https://github.com/MariaDB/mariadb-connector-c.git"
+ KEYWORDS=""
+else
+ MY_PN=${PN#mariadb-}
+ SRC_URI="
+ http://ftp.osuosl.org/pub/mariadb/${MY_PN}-${PV}/source-tgz/${P}-src.tar.gz
+ http://mirrors.fe.up.pt/pub/mariadb/${MY_PN}-${PV}/source-tgz/${P}-src.tar.gz
+ http://ftp-stud.hs-esslingen.de/pub/Mirrors/mariadb/${MY_PN}-${PV}/source-tgz/${P}-src.tar.gz
+ "
+ S="${WORKDIR}/${P}-src"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+inherit cmake-multilib eutils ${VCS_INHERIT}
+
+MULTILIB_CHOST_TOOLS=( /usr/bin/mariadb_config )
+
+MULTILIB_WRAPPED_HEADERS+=(
+ /usr/include/mariadb/my_config.h
+)
+
+DESCRIPTION="C client library for MariaDB/MySQL"
+HOMEPAGE="http://mariadb.org/"
+LICENSE="LGPL-2.1"
+
+SLOT="0/2"
+IUSE="mysqlcompat +ssl static-libs"
+
+DEPEND="sys-libs/zlib:=[${MULTILIB_USEDEP}]
+ virtual/libiconv:=[${MULTILIB_USEDEP}]
+ ssl? ( dev-libs/openssl:0=[${MULTILIB_USEDEP}] )
+ "
+# Block server packages due to /usr/bin/mariadb_config symlink there
+# TODO: make server package block only when mysqlcompat is enabled
+RDEPEND="${DEPEND}
+ !dev-db/mysql
+ !dev-db/mysql-cluster
+ !dev-db/mariadb
+ !dev-db/mariadb-galera
+ !dev-db/percona-server
+ mysqlcompat? ( !dev-db/mysql-connector-c )
+ "
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}/fix-mariadb_config-2.1.0.patch" \
+ "${FILESDIR}/gentoo-layout.patch"
+ epatch_user
+}
+
+multilib_src_configure() {
+ mycmakeargs+=(
+ -DMYSQL_UNIX_ADDR="${EPREFIX}/var/run/mysqld/mysqld.sock"
+ -DWITH_EXTERNAL_ZLIB=ON
+ $(cmake-utils_use_with ssl OPENSSL)
+ $(cmake-utils_use_with mysqlcompat MYSQLCOMPAT)
+ -DLIB_INSTALL_DIR=$(get_libdir)
+ -DPLUGIN_INSTALL_DIR=$(get_libdir)/mariadb/plugin
+ -DINSTALL_LAYOUT=GENTOO
+ )
+ cmake-utils_src_configure
+}
+
+multilib_src_install_all() {
+ if ! use static-libs ; then
+ find "${D}" -name "*.a" -delete || die
+ fi
+ if use mysqlcompat ; then
+ dosym mariadb_config /usr/bin/mysql_config
+ dosym mariadb /usr/include/mysql
+ fi
+}
diff --git a/dev-db/mariadb-connector-c/metadata.xml b/dev-db/mariadb-connector-c/metadata.xml
new file mode 100644
index 0000000..9c4d844
--- /dev/null
+++ b/dev-db/mariadb-connector-c/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+<email>mysql-bugs@gentoo.org</email>
+<name>MySQL</name>
+</maintainer>
+<use>
+<flag name="mysqlcompat">Enable mysqlclient library symbolic links</flag>
+</use>
+</pkgmetadata>
diff --git a/games-arcade/supermeatboy/Manifest b/games-arcade/supermeatboy/Manifest
index a12f412..da4c809 100644
--- a/games-arcade/supermeatboy/Manifest
+++ b/games-arcade/supermeatboy/Manifest
@@ -1,21 +1 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA256
-
-DIST supermeatboy-linux-06072012-bin 174416543 SHA256 e244cc41652b528a025720b6f3405819177e289d672ac781a4a63cb8154c4905
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.19 (GNU/Linux)
-
-iQIcBAEBCAAGBQJQlgheAAoJECZQPTSbOzNL4bQQAMZ2yaCNz3qrNY7Guzb4cH0d
-38DgQde+1cHP3vgWX12shBGeS9iTqucUBUyJoYyKHuQtmqZzdEe1sNCkNGZtQ/0A
-bgm9ufa4CZupMCGyFAuO9zgZbBnCxgLaUeaWxDjH27M9k/mvIKq1BY7r6c1j0AFq
-vWkxu9hx42WRLdMwu4QHSdNOp6hxNc9Rpul1O5LaGWNASx7NV+mBh9TyzGOrgXSK
-hoPEzuXIOytp2+3iVkj/CCe1oi6VkUDzQrSZMhCDeza+JzOtmAevor36UQSR86Ih
-xhKCJknUCaI03qpMI/69GS4QcHUOw9VdYxLRk3EkNHc55uzgsfw5dJvuz0SOmLbU
-jpLqXZaspKMYq43KPlW4/NjliLo5psMoE8K6Uj5SdH55Ny6eWnDH0pSlAwFqvxFl
-ni5ImDZUwOEHitBeXtrOX8Yfh/cT5XGKAbPxyKgIYfc6xazRmZ6bxYctP93ajdlE
-W0vOTpCBEMKPqDV6iX/4kV1RtD3veGl56PsjlmX+AbA6KTtTAyIiX5EfPLPlM6gN
-JcvSACFB8Wc2+vhS+mKpzacx4mBHEisLzmrGdxXOga0KFU/7GJqVjcb7j31OmVqJ
-LCOaA2T6u6YPvn9TUh1kBP8M1UekqNRHfDlCBsWxj/I+gIX2JjJDLwZEoFQdBUGx
-VBleBsy54EYRetT3LWb7
-=gQf9
------END PGP SIGNATURE-----
+DIST supermeatboy-linux-11112013-bin 174332241 SHA256 6c265c3ec1a1d11ab7053884fd5805f3e3c3b4ee2347bc8be8481cfc7807178c SHA512 73196cae0936606d22c2694de73435866ecb98486c8cc5841b8b4d47b36b5dc763cddfaa02bd8cc02ecba665f622e36fadaf8edecd140cfb354b70a3647e7470 WHIRLPOOL 1aee14c9535e3bd4210ae1e8dc5d798a09bef9ed5a506ead82a2b17094196affe4f08ee4be6446b8097234cf396c8562ccd027b4c2928711d138c7b831a4e76e
diff --git a/games-arcade/supermeatboy/supermeatboy-2012.06.07.ebuild b/games-arcade/supermeatboy/supermeatboy-2013.11.11.ebuild
index 7ab5819..fc0f046 100644
--- a/games-arcade/supermeatboy/supermeatboy-2012.06.07.ebuild
+++ b/games-arcade/supermeatboy/supermeatboy-2013.11.11.ebuild
@@ -1,10 +1,9 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-EAPI=4
+EAPI=6
-inherit games versionator
+inherit versionator
MY_PN=SuperMeatBoy
MY_PV=$(version_format_string '${2}${3}${1}')
@@ -16,17 +15,20 @@ SRC_URI="${PN}-linux-${MY_PV}-bin"
LICENSE="as-is"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
-IUSE=""
+IUSE="+system-mariadb"
RESTRICT="fetch"
DEPEND="app-arch/zip"
-RDEPEND="${DEPEND}
+RDEPEND="
+ ${DEPEND}
media-libs/openal
- media-libs/libsdl"
+ media-libs/libsdl2
+ system-mariadb? ( <dev-db/mariadb-connector-c-3.0 )
+"
S="${WORKDIR}/data"
-GAMEDIR="${GAMES_PREFIX_OPT}/${PN}"
+GAMEDIR="/usr/share/${P}"
pkg_nofetch() {
einfo "Please download ${A}"
@@ -39,21 +41,31 @@ src_unpack() {
# self unpacking zip archive; unzip warns about the exe stuff
# (taken from lugaru ebuild)
local a=${DISTDIR}/${A}
- echo ">>> Unpacking ${a} to ${PWD}"
+ echo ">>> Unpacking ${A} to ${PWD}"
unzip -q "${a}"
[ $? -gt 1 ] && die "unpacking failed"
}
src_install() {
- insinto ${GAMEDIR}
- doins -r resources Levels UserData buttonmap.cfg \
- gameaudio.dat gamedata.dat locdb.txt
- exeinto ${GAMEDIR}
- newexe ${ARCH}/${MY_PN}-${ARCH} ${MY_PN}
- games_make_wrapper ${PN} ./${MY_PN} ${GAMEDIR}
- doicon ${PN}.png
- make_desktop_entry ${PN} ${MY_PN} ${PN}
- dodoc README-linux.txt
+ insinto "${GAMEDIR}"
+ doins -r resources Levels buttonmap.cfg \
+ gameaudio.dat gamedata.dat locdb.txt \
+ steam_appid.txt
+
+ insinto "${GAMEDIR}/${ARCH}"
+ doins "${ARCH}"/libsteam_api.so
+
+ use system-mariadb &&
+ dosym /usr/lib64/mariadb/libmariadb.so "${GAMEDIR}/${ARCH}"/libmariadb.so.1 ||
+ doins "${ARCH}"/libmariadb.so.1
+
+ exeinto "${GAMEDIR}/${ARCH}"
+ doexe "${ARCH}/${MY_PN}"
- prepgamesdirs
+ make_wrapper "${PN}" "./${ARCH}/${MY_PN}" "${GAMEDIR}" "./${ARCH}"
+
+ doicon "${PN}".png
+ make_desktop_entry "${PN}" "${MY_PN}" "${PN}"
+
+ dodoc README-linux.txt
}